Bug 507258 - f11: gnome-mount cannot unmount thumb drives and flash cards from command line
f11: gnome-mount cannot unmount thumb drives and flash cards from command line
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-mount (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-21 21:31 EDT by dedded
Modified: 2013-03-05 22:58 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 09:12:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description dedded 2009-06-21 21:31:52 EDT
Description of problem:

In Fedora 11, gnome-mount cannot unmount thumb drives and flash cards from command line.  Command attempted:
    $ gnome-mount -up /media/CANON_DC

This fails to unmount the device, and an error dialogue box pops up with this message:
    "Cannot open /media/.hal-mtab"

Version-Release number of selected component (if applicable):
    gnome-mount-0.8-5.fc11.x86_64

I'm assuming this has something to do with the DeviceKit replacement for certain hal functions.

While this is being fixed, I sure would appreciate it if someone could point me to a work-around.  I have a user script which calls gnome-mount to unmount camera flash cards.  Is there some other way in which a non-privileged script could do this?
Comment 1 Bug Zapper 2010-04-27 11:08:45 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 dedded 2010-04-27 18:13:13 EDT
F11 is the most recent Fedora that I've installed, so I can't comment on whether or not it has since been fixed.
Comment 3 Bug Zapper 2010-06-28 09:12:15 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.